<mat-stepper orientation="vertical">
    <mat-step>
        <ng-template matStepLabel>Step 1</ng-template>
        <ng-template matStepContent>
            <!-- Input Template -->
            <ng-container [ngTemplateOutlet]="libStepperLib"></ng-container>

            <button mat-button matStepperPrevious>Back</button>
            <button mat-button matStepperNext>Next</button>
        </ng-template>
    </mat-step>
    <mat-step>
        <ng-template matStepLabel>Step 2</ng-template>
        <ng-template matStepContent>
            <p>This content was also rendered lazily</p>
            <button mat-button matStepperPrevious>Back</button>
            <button mat-button matStepperNext>Next</button>
        </ng-template>
    </mat-step>
    <mat-step>
        <ng-template matStepLabel>Step 3</ng-template>
        <p>This content was rendered eagerly</p>
        <button mat-button matStepperPrevious>Back</button>
        <button mat-button matStepperNext>Next</button>
    </mat-step>
    <mat-step>
        <ng-template matStepLabel>Step 4</ng-template>
        <lib-address-book-lib></lib-address-book-lib>
        <button mat-button matStepperPrevious>Back</button>
    </mat-step>
</mat-stepper>

